Обновление WordPress 2.9.2 до WordPress 3.1.2

Категории: WordPress, Для новичков

Сегодня закончил работу с одним проблемным блогом, который сначала попросили починить, а потом я его обновлял :)

Был блог который работал на WordPress 2.9.2, при попытке обновить его до последней актуальной версии WordPress 3.1.2 скрипт обновления выдал ошибку о том, что установить эту версию невозможно, потому что для работы WordPress 3.1.2 требуется MySQL-сервер не ниже 5й версии, о чем я уже когда-то писал.

Блог расположен на выделенном сервере, поэтому решил удостовериться в том, что все программное обеспечение на этом сервере обновлено и с ним проблем нет. На сервере установлены MySQL 5.1 и PHP5 соответственно проблема не в этом. Решил попробовать обновлять блог постепенно, начиная с версии 3.0, естественно сначала были сделаны резервные копии файлов и базы данных, после чего скачиваю архив с WordPress 3.0 распаковываю его и получаю ошибку 500 которую выдает сервер. Попробовал другие версии, результат одинаковый.

Методом перебора определил что проблема заключается в несовместимости плагина WP-Tuner (который не обновляется с 2009 года) с новыми версиями WordPress. После отключения плагина, обновление блога произошло успешно и все счастливы.

Я думаю в некоторой степени этот пост должен отвечать на вопрос, который иногда возникает у пользователей: Зачем платить за обновление WordPress, когда можно просто нажать кнопку «Обновить» и оно все само сделает.

Удачного всем блоггинга.

Комментарии: 8Напишите свой комментарий!

  1. Rulik Написал(а):

    Возможно ли сразу обновиться с 2.2.3 версии до 3.1.2?

  2. Dmitriy Donchenko Написал(а):

    Возможно, но опять же бэкапы файлов и базы данных обязательно сделать.

  3. Вадим Написал(а):

    Hу, вообще-то при обновлении версии WordPress сначала отключают все плагины, а уж потом приступают к обновлению. Не стоит забывать об этом.

  4. Dmitriy Donchenko Написал(а):

    Вообще-то никогда так не делал, и наверное не буду делать. Потому как сразу видно успешно все прошло или нет. А разобраться уже можно и потом по ходу дела. Это мое личное какбы :)

  5. seostav Написал(а):

    Кстати в этом вптюнере достаточно закоментить 1 строчку чтобы он работал и в 3.1.2 ;)

  6. Евгений Написал(а):

    Абсолютно согласен. При обновлении такие случаи бывают, что хоть вешайся. Хрен разберешься из-за чего в админку не пускает или блог полностью остановился

  7. Евгений Написал(а):

    Блин Спасибо!!! Именно эта проблема была у меня! Сделал все ок... получилось!!!

  8. Виталий Написал(а):

    Дмитрий подскажите, пожалуйста, как сделать, чтобы бы надписи на блоге были на украинском языке? У меня Вордпресс. Например: Головна

    Архіви

    Реєстрація

    Увійти

Оставьте комментарий Ваш шанс быть услышанным!